<!-- {{model | json}} -->
<div class="container">
    <div [hidden]="submitted">
        <h1>Human Form</h1>
        <p>Are you a human? If so, fill out this form: </p>
        <form #humanForm="ngForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="firstname">First Name: </label>
                <input type="text" class="form-control" id="firstname" required [(ngModel)]="model.firstname"
                    name="firstname" #firstname="ngModel">
                <!-- >  [()] = 2 way reference binding
                        Must define a "name" field if we are using these
                <!-->
                <div [hidden]="firstname.valid || firstname.pristine" class="alert alert-danger">First name is required.
                </div>

                <label for="lastname">Last Name: </label>
                <input type="text" class="form-control" id="lastname" required [(ngModel)]="model.lastname"
                    name="lastname" #lastname="ngModel">
                <div [hidden]="lastname.valid || lastname.pristine" class="alert alert-danger">Last name is required.
                </div>

                <label for="hairColor">Hair Color </label>
                <input type="text" class="form-control" id="hairColor" [(ngModel)]="model.hairColor" name="haircolor"
                    #haircolor="ngModel">

                <label for="height">Height: </label>
                <input type="number" class="form-control" min="0" oninput="validity.valid||(value='');" id="height"
                    [(ngModel)]="model.height" name="height" #height="ngModel">
                <div [hidden]="height.valid || height.pristine" class="alert alert-danger">Height must be a valid
                    number.
                </div>


                <label for="weight">Weight: </label>
                <input type="number" class="form-control" min="0" oninput="validity.valid||(value='');" id="weight"
                    [(ngModel)]="model.weight" name="weight" #weight="ngModel">
                <div [hidden]="weight.valid || weight.pristine" class="alert alert-danger">Weight must be a valid
                    number.
                </div>


                <label for="favFruit">Favourite Fruit</label>
                <select class="form-control" id="favFruit" required name="ffruit" #ffruit="ngModel"
                    [(ngModel)]="model.favFruit">
                    <option *ngFor="let f of fruit" [value]="f">{{f}}</option>
                </select>
                <!-- > #varname = template reference variable <!-->
            </div>
            <button type="submit" class="btn btn-success" [disabled]="!humanForm.form.valid">Submit Human</button>
        </form>
        <button class="btn btn-default" (click)="resetHuman()">Reset Human</button>

    </div>
    <div [hidden]="!submitted">
        <br />
        <br />
        Your human has been submitted.
        <br />
        <br />
        <label for="fullname">Full Name: </label>
        <p id="fullname">{{model.firstname}} {{model.lastname}} </p>
        <label for="hairColor">Hair Color: </label>
        <p id="hairColor">{{model.hairColor || "Not Available"}}</p>
        <label for="height">Height: </label>
        <p id="height">{{model.height || "Not Available"}}</p>
        <label for="weight">Weight: </label>
        <p id="weight">{{model.weight || "Not Available"}}</p>
        <label for="favFruit">Favourite Fruit: </label>
        <p id="favFruit">{{model.favFruit}}</p>

        <br />

        <button type="submit" class="btn btn-success" (click)="resetToForm()">Return to Human</button>
    </div>
</div>